Subject: Re: bug#36166: 27.0.50; Crash visiting HELLO when fringe-mode is disabled

From: Robert Pluim <[email-masked]>
Date: Tue, 11 Jun 2019 16:51:31 +0200

>>>>> On Tue, 11 Jun 2019 17:26:57 +0300, Eli Zaretskii <[email-masked]> said:
    Eli> This appears to be NS-specific: the NS version of the
    Eli> compute_glyph_string_overhangs method is very different from the X and
    Eli> w32 versions, and lacks some safety devices.  (I did try the recipe on
    Eli> w32, and didn't see any crashes.)

w32 and X both check s->cmp, at least (although even then they check
slightly different conditions), and they also handle COMPOSITE_GLYPH
differently.

Itʼs easy enough to chuck in a check for font being NULL, but that
feels like the wrong solution (and I donʼt know this code at all).

Robert